#import "_defaults.typ": *
#show: style
#show rect: emph

#line(length: 100%)
#{
  set text(1.5em)
  set align(center)
  [= TDDD60 uppgift 1]
}
#h(2fr) `samak519` #h(.5fr) Samuel Åkesson #h(2fr)
#line(length: 100%)

== Del A

*Koncept:* "Anpassad"

*Funktioner:*
- "Hitta råd från läkare"
- "Se medicinanvändning och recept"

#image("anpassad.png", height: 1fr)

Från hemskärmen kan användare antingen klicka på #btn[📓] eller #btn[#emoji.pill]. När den trycker på den första hamnar den på en skärm med logg över tidigare läkarbesök, medan den sista tar den till medicinanvändning eller utgående recept.

#colbreak()
*Koncept:* "Ta kommando"

*Funktioner:*
- Se sina triggers för migrän
- Skicka påminnelsenotiser

#image("takomm.png", height: 15cm)

Med den första funktionen "Se sina triggers för migrän" i fokus så kan appen se mönster i vilka aktiviteter som utlöser migrän, och kan rapportera statistik som "Enligt tidigare, har du 50% ökad risk för migrän om du gör ..."

I den andra funktionen "Skicka påminnelsenotiser" i fokus kan man kan koppla sin kalender till appen, så den hela tiden vet viktiga kommande händelser och påminna en om att undvika triggande aktiviteter. Den kan också påminna en om att logga.

#colbreak()
*Koncept:* "Self-help"

*Funktioner:*
- Se orsak
- Dela händelser, gemenskap

#image("selfhelp.png")

I åtanke på den första funktionen "Se orsak" som huvudfunktion finns en skärm där man kan se sammanfattning i enkel statistik över sin vecka (syns i skärm till vänster).

Med funktionen "Dela händelser, gemenskap" i fokus finns skärmen till höger, där man publicera inlägg och läsa andras inlägg, som en social media för migrän success-stories.

#colbreak()
*Koncept:* "Centraliserat"

*Funktioner:*
- Doktor kan följa utveckling
- Personligt konto

#image("centraliserat.png", height: 1fr)

Tanken med detta är att byta ut 1177, alla andra vårdtjänster kring migrän. Du kan nå allting härifrån.

Med "Doktor kan följa utveckling" i huvudfokus används BankID och en koppling till 1177 för att lätt ge åtkomst till din journal.

Med "Personligt konto" i fokus synkroniseras din data mellan alla enheter. BankID kommer också in här, för att göra processes säker.

#colbreak()
*Koncept:* "Självlärande"

*Funktioner:*
- Rapportera
- Se förändring i liv

#image("självlärande.png")

Här är tanken att appen lär sig från dina mönster, och kontinuerligt frågar dig om du tycker att dess förslag och slutsatser stämmer. Du kan också se grafer och statistik som validerar appens påståenden. För att backa upp, behöver appen data, och då rapporterar du genom att trycka på #btn[+]-knappen.

#colbreak()
== Del C

=== Hitta mönster
_Paulina har upplevt ökat antal migränanfall senaste tiden. Hon sätter sig därför och kollar igenom all statistik för att försöka hitta mönster._
#image("wireframe_samuel_mönster.jpg")
\- *"Gör träffytor tillräckligt stora":* Knappen för "statistik" är ganska liten på huvudskärmen. Det är ett medvetet val, för de flesta användarna kommer sällan gå in där. Ändå kan det få många av användarna att inte lägga märke till, eller bli irriterade över hur svårt det är.

\- *"Tvinga inte folk att hålla för mycket i huvudet:"* Skärmen där statistik visas, när man ser alla grafer samtidigt, är ganska överstimulerande, och om man ska upptäcka mönster mellan data behöver man kanske hålla det i arbetsminnet eftersom graf

#colbreak()
=== Få feedback och/eller återkoppling
_Paulina vill få hjälp av läkare, och skapar därför ärenden. Hon får telefonmöte bokat, genomför mötet, och kan sen se läkarens anteckningar från mötet i "Journal"-delen av appen._

#image("wireframe_samuel_feedback.jpg")

\+ *"Gör det begripligt och bekant":* Huvudskärmen är väldigt bekant. "Logg"-knappen liknar ett fysiskt anteckningsblock. Att få hjälp innebär att trycka på frågetecken, och att läsa gamla journal är att trycka på en "loggbok".

\+ *"Visa inte för många val på en gång":* Huvudskärmen är simplistisk. Endast fyra alternativ.

\- *"Bjud in till handling":* Skärmarna är något "tråkiga" och för simpla. Hade det integrerats mer visuella hjälpmedel att styra fokus och beteende hade det känts mer interaktivt.


#colbreak()
= Reflektion

== 1. Beskrivning
#rect[Beskriv kort ett moment i uppgift 1 som gruppen gjorde exceptionellt bra eller kunde gjort bättre, och vad ditt bidrag i den delen av uppgiften var. Beskriv inte hela uppgiften här utan välj ut ett eller ett par steg och beskriv hur ni gjorde (inte vad). Referera till kursbokens beskrivning av metoden/tekniken som användes. Utgå från att läsaren känner till vad ni skulle göra och fokusera på avvikelser från bokens beskrivning eller svårigheter.]

När vi som grupp skapade storyboards över koncepten gick det väldigt bra. Det var väldigt många idéer som kastades runt, ändå lyckades vi utvärdera, se varje idé:s för- och nackdelar och slutligen skapa skisser som samtliga i gruppen höll med om.

Mattias Arvola beskriver storyboarding så här: "[En storyboard] kan dessutom användas för att primärt kommunicera en känsla, snarare än en faktiskt upplevd situation" @id-and-ux.

Jag bidrog positivt till momentet när vi skapade de olika bilderna genom att överdriva personans tänkta känslor kring produkten; det kändes användbart att ha en "karikatyr" av verkligheten. Jag poängterade också flera gånger till gruppen att vi ska försöka tänka så fritt och vilt som möjligt, för att ha chansen att slå guld.

== 2. Motivering
#rect[Motivera varför resultatet av det ni gjorde är ett bra/dåligt resultat. Vilka konsekvenser fick det t.ex. för kvaliteten på slutresultatet?]
Storyboard:ena som min grupp skapade är av hög kvalitet eftersom de lyckas förmedla känslor och behov hos personan på ett helt annat sätt än tråkiga kravspecifikationer kan göra.

Slutresultatet blev väldigt positivt påverkat av att ha så tydliga teckningar över en tänkt slutanvändares tankesätt. Det gjorde så att vi som grupp höll oss jordnära, inte svävade i idéer som personan skulle ogilla.

== 3. Analys
#rect[Varför blev resultatet bättre/sämre än det kunde blivit (i momentet du beskrev i fråga 1-2)? Hur borde/kunde du/ni ha gjort istället och varför hade resultatet blivit bättre/sämre? Argumentera med hjälp av referenser till kursboken.]

Anledningen till att slutresultatet blev så bra var att vi lyckades förmedla känslor och behov på ett sätt som var lätt att förstå och fortsätta hålla i åtanke under gränssnittsskiss. Mattias Arvola menar att en av storyboards styrkor är att kunna förmedla känslor.

Något som vi kunde ha gjort bättre var att ha skapat fler storyboards. Vi hade bara en per koncept, och det hade varit intressant att se fler varianter av samma koncept. Det hade gett oss en bättre förståelse för vad som fungerar och inte fungerar. Som s.12. av boken @id-and-ux illustrerar, är det bra att iterera designs om och om igen, för vad är oddsen att första lösningen på problemet är det bästa?

#bibliography("ref.yml")
