#import "_defaults.typ": *
#show: style
#import "@preview/wordometer:0.1.4": word-count, total-words
#show: word-count

#set heading(numbering: "1.")
#show bibliography: set heading(numbering: "1.")

#[
  #set par(spacing: 15pt)
  #set align(center)
  #text(3em)[*TDDD60 uppgift 2*]
  #grid(
    align: center + bottom,
    columns: 2,
    column-gutter: 1em,
    [Samuel Åkesson], `samak519`,
  )
]
#line(length: 100%)
#let rect(_) = none

#rect[
  Hur bidrar eller motverkar gruppens prototyp det målet?
]

= Mina anteckningar från granskningen

Granskade grupp J1:s prototyp för iFiske.

== "Scanna"-skärmen
- Kanske inte ska heta "scanna"? Finns det något rimligt svenskt ord? "Läsa av"?
- Det behövs ett bra felmeddelande som förklarar om licensen är garanterat ogiltlig eller om vi som kontrollant har scannat fel (smutsig kamera?).

== Hemskärm / alla skärmar
- Behövs menyknapparna där nere? Hela appen är väldigt simpel, så kan man inte bara alltid använda hemskärmen?


#pagebreak()
= Mina delar av prototypen

#grid(
  columns: (2fr, 3fr, 1fr, 3fr),
  gutter: 1em,
  [
    Jag var med och skapade första utkast till startskärmen, och det var min idé att endast ha fyra knappar.

    Den slutliga designen, speciellt med alla smådetaljer och titelskärm implementerades inte av mig.
  ],
  image("Startskärm.png"),
  [
    Jag skapade "Analys"-skärmen.
  ],
  image("Statistik-stress-analys.png"),

  [
    Jag gjorde den första implementationen av "Statistik"-skärmen, men den reviderades senare av en annan deltagare.
  ],
  image("Statistikstats.png"),
  [
    Jag skapade "Tips"-skärmen.
  ],
  image("Statistik-tips.png"),
)

#pagebreak()
= TDDD60 hållbarhet

Jag argumenterar för att min grupps prototyp bidrar till *Mål 3: Hälsa och välbefinnande* @hälsa-och-välbefinnande

== Hur bidrar prototypen till målet?

*Delmål 3.4 | Minska antalet dödsfall till följd av icke smittsamma sjukdomar och främja mental hälsa*\
Appen möjliggör för användarens mentala hälsa att öka.

*Delmål 3.5 | Förebygg och behandla drogmissbruk*\
Appen möjliggör för användaren att göra livsstilförändringar som leder till minskat behov av droger.

*Delmål 3.6 | Minska antalet dödsfall och skador i trafiken*\
Appen hjälper användare planera för och reglera sina migränsymptom, vilket gör användaren mer förutsägbar och säker i trafiken.

*Delmål 3.8 | Tillgängliggör sjukvård för alla*\
Appen gör det enklare och tydligare för patient och läkare att kommunicera, vilket gör hela processen billigare.

#rect[
  Varför blir det så?

  Argumentera för din slutsats. När du argumenterar, undvik formuleringen "enligt mig". Förklara istället om du menar "enligt min erfarenhet", "enligt min åsikt", eller "enligt något jag läste någonstans" (och i det sistnämnda fallet, hitta var du läste det och referera ordentligt).
]

== Varför blir det så?
En förklaring till varför varje delmål uppfylls kommer nedan.

*Delmål 3.4 | Minska antalet dödsfall till följd av icke smittsamma sjukdomar och främja mental hälsa*\
Genom att regelbundet använda appen ökas användarens känsla av kontroll över sitt liv, och därmed minskar dess känsla av uppgivenhet och möjligtvis minskad risk för depression, som annars riskerar att leda till självskadebeteenden.

*Delmål 3.5: Förebygg och behandla drogmissbruk*\
Personer som är frustrerade och uppgivna med sjukdomssymptom kan välja att missbruka droger för att få temporär lindring. Personer med kroniska sjukdomssymptom ligger överlag i större risk att hamna i drogmissbruk eftersom de introduceras till olika mediciner från vården.

Appen ger användare möjlighet att hitta mönster och naturliga orsaker till sina migränsymptom, och leder därför användare bort ifrån beroenden på droger.

*Delmål 3.6 | Minska antalet dödsfall och skador i trafiken*\
Appen lär användaren mönster om sin migrän, och på så sätt kan användaren ta ställning till och planera inför migrän. Användaren kan också få mer specifik och inriktad vård.

Allt detta minskar risken för att användaren får migrän när den är i trafiken.

*Delmål 3.8 | Tillgängliggör sjukvård för alla*\
Genom den effektiva "Skapa nytt ärende" och att lätt kunna se sina journalinlägg, krävs mindre handpåläggning och patienten kan mer självbetjäna.

Appen effektiviserar på så vis hela vårdprocessen och ger möjlighet för minskad kostnad, vilket tillgängliggör sjukvård för alla.


= Uppgift 2

== Beskrivning av moment
#rect[
  Beskriv kort ett moment i uppgift 2 som gruppen gjorde exceptionellt bra eller kunde gjort bättre, och vad ditt bidrag i den delen av uppgiften var. Beskriv inte hela uppgiften här utan välj ut ett eller ett par steg och beskriv hur ni gjorde (inte vad). Referera till kursbokens beskrivning av metoden/tekniken som användes. Utgå från att läsaren känner till vad ni skulle göra och fokusera på avvikelser från bokens beskrivning eller svårigheter.
]

Själva användbarhetstesterna kunde gruppen ha gjort bättre, tycker jag. När vi skrev testmallen @under-test var alla överens om att den var rimlig, och bra att följa, men när det kom till att genomföra testerna tyckte jag att vi följde mallen för lite.
Testerna blev ibland något informell, mer som en dialog mellan deltagare och ledare. Det behöver inte nödvändigtvis vara dåligt, men det kändes som om vi missade det vi kunde lära oss från testmetodiken. Det som speciellt var dåligt med denna inkonsekvens i testning var att samma frågor inte ställdes till alla deltagare. Vi glömde helt enkelt fråga vissa deltagare om deras helhetssyn på appen, som Arvola beskriver @under-test, eller vad de förväntade sig bakom "Statistik"-knappen.

Jag var med och skrev testmallen, och jag tyckte att den var bra. Jag var också med och genomförde testerna, och jag tycker att jag var en av de som var mest konsekvent i att följa testmallen. När jag agerade observatör och märkte att testledaren inte ställde alla frågor, valde jag ändå att inte påpeka det, för det kändes ibland som om vi fick svar på andra frågor som vi inte tänkt på.

== Motivering av resultat
#rect[
  Motivera varför resultatet av det ni gjorde är ett bra/dåligt resultat. Vilka konsekvenser fick det t.ex. för kvaliteten på slutresultatet?
]

Det negativa med att användartestningen genomfördes stundvis improviserat och inte enligt testmallen blev att vi inte fick bra underlag på varje fråga. Arvola beskriver att det är värdefullt att börja testet med att fråga deltagaren om dess initiala intryck och vad den förväntar sig bakom grafiska element @under-test.

Något positivt var dock att vi fick svar på frågor som vi inte hade planerat att ställa. Exempelvis var det under ett sidospår som en deltagare noterade att hen tyckte att "Analys"-knappen var onödig, och att det hade varit bättre om den hade varit en del av "Statistik"-skärmen.

Jag tror att det är dåligt i en arbetslivsmiljö att få in en samling av orelaterade och icke-överlappande åsikter- det är mycket bättre att få en tydlig bild över en specifik mängd frågeställningar. Detta liknar hur vetenskapliga studier gärna ska ha specifika frågeställningar.

#bibliography("ref.yml")
